Get Malware Firewall Blocked Malicious Dependencies by Ecosystem Report
curl --request POST \
--url https://api.example.com/api/reporting/{deploymentId}/reports/malware-firewall/blocked-mal-deps/by-ecosystem \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"filters": {
"timePeriod": {
"since": "2023-11-07T05:31:56Z",
"until": "2023-11-07T05:31:56Z"
}
},
"cursor": "<string>",
"limit": 123
}
'import requests
url = "https://api.example.com/api/reporting/{deploymentId}/reports/malware-firewall/blocked-mal-deps/by-ecosystem"
payload = {
"filters": { "timePeriod": {
"since": "2023-11-07T05:31:56Z",
"until": "2023-11-07T05:31:56Z"
} },
"cursor": "<string>",
"limit": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
filters: {timePeriod: {since: '2023-11-07T05:31:56Z', until: '2023-11-07T05:31:56Z'}},
cursor: '<string>',
limit: 123
})
};
fetch('https://api.example.com/api/reporting/{deploymentId}/reports/malware-firewall/blocked-mal-deps/by-ecosystem', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"rows": [
{
"ecosystem": "<string>",
"totalBlocked": 123
}
],
"cursor": "<string>"
}Reporting
Get Malware Firewall Blocked Malicious Dependencies by Ecosystem Report
POST
/
api
/
reporting
/
{deploymentId}
/
reports
/
malware-firewall
/
blocked-mal-deps
/
by-ecosystem
Get Malware Firewall Blocked Malicious Dependencies by Ecosystem Report
Authorizations
SemgrepWebTokenSemgrepJWT
Get access to data with your API token. Example header:
Authorization: Bearer 2991e2fb4b540fe75b8f90677b0b892b6314e4961cb001fe6eb452eee248a628
The token can be provisioned from the Tokens section in your Settings, and requires explicitly enabling Web API access.
Path Parameters
The unique numerical identifier of the deployment associated with the report.
Example:
"1234"
Was this page helpful?
Get Malware Firewall Blocked Malicious Dependencies by Dependency, Version, and Ecosystem ReportGet Median Open Age by Product Report
⌘I